<div class="eui-u-display-{{config.display}}">
  <label
    class="{{isDisabled ? 'eui-u-c-neutral-lightest' : 'eui-u-color-black'}}"
    euiLabel
    [euiRequired]="config.isRequired">
    {{ translations?.label | translate }}
  </label>
  <eui-dropdown
    [euiTooltip]="tooltipText || null"
    #dropdown
    class="eui-u-display-block eui-u-f-bold"
    euiDropdownTree
    id="{{id}}"
    [euiDisabled]="isDisabled"
    [hasClosedOnClickInside]="false">
    <button
      euiButton
      class="sr-custom-class sr-custom-dropdown-button"
      [euiOutline]="!!config.euiColor"
      [euiVariant]="config.euiColor"
      [euiDisabled]="isDisabled">
      <span>
        {{ config.showTotalInLabel && activeFilters.length ? (translations?.activeFiltersLabel | translate: {activeFilters:activeFilters.length}) : (translations?.placeholder | translate) }}
      </span>
      <eui-icon-svg
        icon="eui-chevron-{{dropdown.isOpen ? 'up' : 'down'}}"
        class="eui-u-ml-s"
        set="eui"
        size="m"
        fillColor="grey-50">
      </eui-icon-svg>
    </button>
    <eui-dropdown-content>
      <div class="eui-u-display-block">
        <eui-tree
          [isMultiselect]="config.isMultiselect"
          [isSingleSelect]="!config.isMultiselect"
          [nodes]="_dropdownData"
          (selectionChange)="onSelectionChange($event)">
        </eui-tree>
      </div>
    </eui-dropdown-content>
  </eui-dropdown>
</div>

